#vertexshader

void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
}

#fragmentshader

uniform sampler2D Texture0;
void main()
{
	vec3 t = texture2D(Texture0, gl_TexCoord[0].xy).xyz;
	t -= vec3(0.2, 0.2, 0.2);
	t = max(t, vec3(0));
	t *= vec3(2);

	gl_FragColor = vec4(t, 1);
}
